Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class LdapContainer

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.LdapContainer

    public class LdapContainer

extends java.lang.Object

Constructor Summary
`LdapContainer()`

Method Summary
`java.lang.String` | `getActive()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getId()`
`java.lang.String` | `getLastAccessed()`
`java.lang.String` | `getName()`
`LdapGroupSource` | `getPrimaryGroupLdapSource()`
`LdapSource` | `getPrimaryLdap()`
`java.util.List<LdapRestrictedOrg>` | `getRestrictedOrg()`
`java.util.List<SecondaryLdapGroupSource>` | `getSecondaryGroupLdapSource()`
`java.util.List<SecondaryLdapSource>` | `getSecondaryLdap()`
`void` | `setActive(java.lang.String active)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(java.lang.String id)`
`void` | `setLastAccessed(java.lang.String lastAccessed)`
`void` | `setName(java.lang.String name)`
`void` | `setPrimaryGroupLdapSource(LdapGroupSource primaryGroupLdapSource)`
`void` | `setPrimaryLdap(LdapSource primaryLdap)`
`void` | `setRestrictedOrg(java.util.List<LdapRestrictedOrg> restrictedOrg)`
`void` | `setSecondaryGroupLdapSource(java.util.List<SecondaryLdapGroupSource> secondaryGroupLdapSource)`
`void` | `setSecondaryLdap(java.util.List<SecondaryLdapSource> secondaryLdap)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LdapContainer

    public LdapContainer()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getActive

    public java.lang.String getActive()

### setActive

    public void setActive(java.lang.String active)

### getLastAccessed

    public java.lang.String getLastAccessed()

### setLastAccessed

    public void setLastAccessed(java.lang.String lastAccessed)

### getSecondaryLdap

    public java.util.List<SecondaryLdapSource> getSecondaryLdap()

### setSecondaryLdap

    public void setSecondaryLdap(java.util.List<SecondaryLdapSource> secondaryLdap)

### getRestrictedOrg

    public java.util.List<LdapRestrictedOrg> getRestrictedOrg()

### setRestrictedOrg

    public void setRestrictedOrg(java.util.List<LdapRestrictedOrg> restrictedOrg)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getPrimaryLdap

    public LdapSource getPrimaryLdap()

### setPrimaryLdap

    public void setPrimaryLdap(LdapSource primaryLdap)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPrimaryGroupLdapSource

    public LdapGroupSource getPrimaryGroupLdapSource()

### setPrimaryGroupLdapSource

    public void setPrimaryGroupLdapSource(LdapGroupSource primaryGroupLdapSource)

### getSecondaryGroupLdapSource

    public java.util.List<SecondaryLdapGroupSource> getSecondaryGroupLdapSource()

### setSecondaryGroupLdapSource

    public void setSecondaryGroupLdapSource(java.util.List<SecondaryLdapGroupSource> secondaryGroupLdapSource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.